{if $instance->getProperty('blockId') != ''}
    {$uid="{$instance->getProperty('blockId')}" }
{else}
    {$uid = $instance->getUid()}
{/if}

<script>
    document.addEventListener( 'DOMContentLoaded', function() {
        const element = document.getElementById("image-compare-{$uid}");
  
        const viewer = new ImageCompare(element,{
            smoothing: false,
            controlColor: '{$instance->getProperty('sliderColor')}',
            addCircle: {$instance->getProperty('sliderStyle')},
            addCircleBlur: true,
            showLabels: '{$instance->getProperty('useLabel')}',
                labelOptions: {
                before: '{$instance->getProperty('captionBefore')}',
                after: '{$instance->getProperty('captionAfter')}',
                onHover: false
                },
            verticalMode: {$instance->getProperty('sliderAlignment')},
        }).mount();
        
    } );
</script>
    {if $isPreview}


        <div class="d-flex flex-nowrap  dzm-cs-wrapper position-relative {$instance->getStyleClasses()}" style="{$instance->getStyleString()}">

            {$imgBefore = $instance->getProperty('imageBefore')}
                {$imgAttribs = $instance->getImageAttributes($imgBefore, '', '')}
                {image
                srcset=$imgAttribs.srcset
                sizes=$imgAttribs.srcsizes
                src=$imgAttribs.src
                alt=$imgAttribs.alt|escape:'html'
                    style='width:100%'
                }

            {if $instance->getProperty('sliderAlignment') == 'false'}
                {$style='position: absolute; object-fit: cover;width: 50%; height: 100%;  right: 0; object-position: right;' }

            {else}
                {$style='position: absolute; object-fit: cover;width: 100%; height: 50%; bottom:0; object-position: bottom;' }

            {/if}

            {$imgAfter = $instance->getProperty('imageAfter')}
                {$imgAttribs = $instance->getImageAttributes($imgAfter, '', '')}
                {image
                srcset=$imgAttribs.srcset
                sizes=$imgAttribs.srcsizes
                src=$imgAttribs.src
                alt=$imgAttribs.alt|escape:'html'
                    style=$style

                }

            {if $instance->getProperty('sliderAlignment') == 'false'}

                {include file="./verticalLine.tpl"}

            {else}

            {/if}

    {else}
    <div id="{$instance->getProperty('blockId')}" class="dzm-cs-wrapper {$instance->getStyleClasses()}" style="{$instance->getStyleString()}">
        <div id="image-compare-{$uid}" class="dzm-cs-label-{$instance->getProperty('labelColor')}">
            {$imgBefore = $instance->getProperty('imageBefore')}
            {$imgAttribs = $instance->getImageAttributes($imgBefore, {$instance->getProperty('altBefore')}, {$instance->getProperty('titleBefore')})}
            {image
            srcset=$imgAttribs.srcset
            sizes=$imgAttribs.srcsizes
            src=$imgAttribs.src
            alt=$imgAttribs.alt|escape:'html'
            title=$imgAttribs.title|escape:'html'
            style='width:100%'
            }

            {$imgAfter = $instance->getProperty('imageAfter')}
            {$imgAttribs = $instance->getImageAttributes($imgAfter, {$instance->getProperty('altAfter')}, {$instance->getProperty('titleAfter')})}
            {image
            srcset=$imgAttribs.srcset
            sizes=$imgAttribs.srcsizes
            src=$imgAttribs.src
            alt=$imgAttribs.alt|escape:'html'
            title=$imgAttribs.title|escape:'html'
            style=$style

            }
          </div>
    </div>
    {/if}


