{if $isPreview}
    <div class="">
        <div style="{$instance->getStyleString()}" class="dzm_content_slider--container" >
            <section class="py-0">
                <div class="container">
                    <div {$instance->getAttributeString()} class="opc-Tabs {$instance->getStyleClasses()}">
                        <nav class="tab-navigation dzm-psc-nav-tabs">
                            {tabs}
                            {foreach $instance->getProperty('tabs') as $i => $tabTitle}
                                {$tabId = $instance->getUid()|cat:'-'|cat:$i}
                                {$areaId = 'tab-'|cat:$i}
                                {tab id=$tabId title=$tabTitle|escape:'html' active=$i==0}
                                    <div data-area-id="{$areaId}" class="opc-area">
                                            {$instance->getSubareaPreviewHtml($areaId)}
                                    </div>
                                {/tab}
                            {/foreach}
                            {/tabs}
                        </nav>
                    </div>
                </div>
            </section>
        </div>
    </div>
{else}
    {if $instance->getProperty('blockId') != ''}
        {$uid="{$instance->getProperty('blockId')}" }
    {else}
        {$uid = $instance->getUid()}
    {/if}
    <div id="{$uid}" class="splide {$instance->getStyleClasses()}" aria-label="DZM Content Slider" style="{$instance->getStyleString()}; margin-bottom: {$instance->getProperty('pagination_margin')}px;" >
        {if $instance->getProperty('slide')|count > 0}
            <div style="position: relative;">
                <div class="splide__arrows">
                </div>
                <div class="splide__track py-0">
                    <ul class="splide__list">
                            {foreach $instance->getProperty('tabs') as $i => $tabTitle}
                                <li class="splide__slide border">
                                    {$tabId = $instance->getUid()|cat:'-'|cat:$i}
                                    {$areaId = 'tab-'|cat:$i}
                                    <div data-area-id="{$areaId}" class="opc-area">
                                        {$instance->getSubareaFinalHtml($areaId)}
                                    </div>
                                </li>
                            {/foreach}
                    </ul>
                </div>
            </div>
        {/if}
    </div>
    <style>
        .splide__arrow--prev {
            left: +{$instance->getProperty('slide_padding')}px;
        }
        .splide__arrow--next {
            right: +{$instance->getProperty('slide_padding')}px;
        }
        .dzm-splide__pagination {
            {$instance->getProperty('pagination_position')}: -{$instance->getProperty('pagination_margin')}px;
        }
    </style>

    <script>
        document.addEventListener('DOMContentLoaded', function()  {
            const splide = new Splide ('#{$uid}', {
                type: 'loop',
                padding: {$instance->getProperty('slide_padding')},
                gap: {$instance->getProperty('space_between_slides')},
                arrows: {if $instance->getProperty('arrows')}true{else}false{/if},
                {if $instance->getProperty('arrowType') == 1}
                arrowPath:'M 4.388 1.58 a 1.452 1.452 90 0 1 2.056 0 l 17.424 17.424 a 1.452 1.452 90 0 1 0 2.056 l -17.424 17.424 a 1.452 1.452 90 0 1 -2.056 -2.056 L 20.7869 20.032 L 4.388 3.636 a 1.452 1.452 90 0 1 0 -2.056 z M 16.004 1.58 a 1.452 1.452 90 0 1 2.056 0 l 17.424 17.424 a 1.452 1.452 90 0 1 0 2.056 l -17.424 17.424 a 1.452 1.452 90 0 1 -2.056 -2.056 L 32.4029 20.032 L 16.004 3.636 a 1.452 1.452 90 0 1 0 -2.056 z',
                {elseif $instance->getProperty('arrowType') == 2}
                arrowPath:'M 2 21 a 2.25 2.25 90 0 1 2.25 -2.25 h 26.0685 L 20.657 9.093 a 2.25 2.25 90 1 1 3.186 -3.186 l 13.5 13.5 a 2.25 2.25 90 0 1 0 3.186 l -13.5 13.5 a 2.25 2.25 90 0 1 -3.186 -3.186 L 30.3185 23.25 H 4.25 A 2.25 2.25 90 0 1 2 21 z',
                {else}
                arrowPath:'M 11.0058 2.2077 a 1.3997 1.3997 90 0 1 1.9819 0 l 16.7962 16.7962 a 1.3997 1.3997 90 0 1 0 1.9819 l -16.7962 16.7962 a 1.3997 1.3997 90 0 1 -1.9819 -1.9819 L 26.8138 19.9949 L 11.0058 4.1897 a 1.3997 1.3997 90 0 1 0 -1.9819 z',
                {/if}
                autoplay: {if $instance->getProperty('autoplay')}true{else}false{/if},
                pagination: {if $instance->getProperty('pagination')}true{else}false{/if},
                interval: '{$instance->getProperty('interval')}',
                pauseOnHover: {if $instance->getProperty('pauseOnHover')}true{else}false{/if},
                classes: {
                    prev: 'splide__arrow--prev dzm-splide__arrow--p',
                    next: 'splide__arrow--next dzm-splide__arrow--n',
                    pagination: 'splide__pagination dzm-splide__pagination',
                },
            })
            splide.mount();
        });
    </script>

{/if}